io.undertow.server.handlers.proxy.mod_cluster

## Class MCMPConfig

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig

    public class MCMPConfig
    extends Object

Version:
  March 2016
Author:
  Emanuel Muckenhuber, Radoslav Husar

### Nested Class Summary

Nested Classes
`static class` `MCMPConfig.AdvertiseBuilder`
`static class` `MCMPConfig.Builder`
`static class` `MCMPConfig.WebBuilder`

### Constructor Summary

Constructors
Constructor and Description
`MCMPConfig(MCMPConfig.Builder builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static MCMPConfig.Builder` `builder()`
`HttpHandler` `create(ModCluster modCluster, HttpHandler next)`
`io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.AdvertiseConfig` `getAdvertiseConfig()`
`String` `getManagementHost()` Deprecated.
`int` `getManagementPort()` Deprecated.
`InetSocketAddress` `getManagementSocketAddress()`
`static MCMPConfig.WebBuilder` `webBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MCMPConfig

    public MCMPConfig(MCMPConfig.Builder builder)

### Method Detail

#### builder

    public static MCMPConfig.Builder builder()

#### webBuilder

    public static MCMPConfig.WebBuilder webBuilder()

#### getManagementHost

    @Deprecated
    public String getManagementHost()

Deprecated.

#### getManagementPort

    @Deprecated
    public int getManagementPort()

Deprecated.

#### getManagementSocketAddress

    public InetSocketAddress getManagementSocketAddress()

#### getAdvertiseConfig

    public io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.AdvertiseConfig getAdvertiseConfig()

#### create

    public HttpHandler create(ModCluster modCluster,
                              HttpHandler next)